Subject: MPC8610HPCD sound as module

From: Peter Czanik <[email-masked]>
Date: Thu, 11 Dec 2008 14:18:00 +0100

Hello,

I have an MPC8610HPCD system. The latest stable kernel (2.6.27.8) runs
fine on this, with a catch: sound only works, when compiled in the
kernel (see:
http://www.alsa-project.org/db/?f=73fb074ce0b41463bb3f32aaa297a1e1f53caf2d
). When the exact same sound options are compiled as modules (see:
http://www.alsa-project.org/db/?f=c353962950284d61bd16ac7d48032b8b5f598062
), then sound card is not found. Both kernel configurations were based
on mpc8610_hpcd_defconfig with some minor tweaks (some additional fs
options to be able to boot SuSE Linux). The only difference between the
two configs is that in the second case sound is modular.

As far as I can see from comments in the sources, it should work also as
a module. Any hints how to achieve that?

Thanks, bye,
CzP